Subject: Re: RTSP Clarification

From: Jonathan Sergent <[email-masked]>
Date: Wed, 16 May 2001 19:59:13 -0700

Josh Perfetto:
>Does this mean that an SDP response should not consist entirely of streams
>located on a different server, or that the server should not reply with a
>3xx response code?  If it is the former isn't this somewhat allowed under
>the more general case of a presentation with different streams on different
>servers?  What makes this case special?

I can't really answer your question, but it seems like this is
probably less of an issue with non-aggregate control, which I assume
you are doing since I can't see how you can do an aggregate PLAY
across multiple servers.  It is unclear if the client needs to send a
new DESCRIBE request if the presentation (top-level) control URL is
not the same as the URL used by the client for the describe, and I
suspect this is what that language was trying to address.  This
section says that you don't ever have to send DESCRIBE requests for
the individual media streams, and it says that you shouldn't have to
for the aggregate (session-level) control URL either because you
implicitly already have the description for it.

Note that there's even an example of control URLs pointing to
different servers in C.2 (using non-aggregate control).

3xx response codes from DESCRIBE are surely okay.  I think they are
preferable in the case where you want to tell the client that the
entire media resource is on another server.  I think this type of
indirection is being discouraged via SDP.

-- 
Jonathan Sergent / [email-masked]

---

From: "Josh Perfetto" <[email-masked]>
Date: Wed, 16 May 2001 21:43:39 -0700

Regardless of server implementation, is aggregate control of streams across
multiple servers supported by the protocol?  In other words, is this valid:

v=0
...
a=control:rtsp://example.com/movie/
m=video 5000 RTP/AVP 31
a=control:rtsp://video.com/movie.vid
m=audio 5002 RTP/AVP 3
a=control:rtsp://audio.com/movie.aud

In the case of indirection of a presentation where the streams are not
spread among multiple servers, while I agree that redirecting the DESCRIBE
request is cleaner, the elimination of the extra RTT by using SDP
indirection (assuming the client does not re-DESCRIBE) can be beneficial in
high-latency (i.e. 1000 ms) networks, especially since the SETUPs can't be
pipelined until the results of the DESCRIBE are received.

-Josh

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Jonathan Sergent
Sent: Wednesday, May 16, 2001 7:59 PM
To: [email-masked]
Subject: Re: RTSP Clarification